@model FERZid.Models.Segment

@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Uredjivanje segmenta</h2>

<form asp-action="Edit">
    <div class="form-horizontal">
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Idsegmenta" />
        <div class="form-group">
            <label class="control-label col-md-2">Lokacija zida</label>
            <div class="col-md-10">
                <select asp-for="Idzida" class="form-control" asp-items="ViewBag.IdZida"></select>
                <span asp-validation-for="Idzida" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="KoordinataX" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="KoordinataX" class="form-control" />
                <span asp-validation-for="KoordinataX" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="KoordinataY" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="KoordinataY" class="form-control" />
                <span asp-validation-for="KoordinataY" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Visina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Visina" class="form-control" />
                <span asp-validation-for="Visina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Sirina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Sirina" class="form-control" />
                <span asp-validation-for="Sirina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Spremi" class="btn btn-primary" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
